FROM node:lts-trixie

RUN apt update && apt install -y ca-certificates curl zip unzip wget rsync openssh-client zlib1g

RUN update-ca-certificates

WORKDIR /app

RUN curl -fsSL https://bun.sh/install | bash
ENV PATH="/root/.bun/bin:${PATH}"

COPY ./entrypoint.sh /usr/local/bin/entrypoint.sh
RUN chmod +x /usr/local/bin/entrypoint.sh


ENTRYPOINT ["entrypoint.sh"]
